Squish on 5.3?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Squish on 5.3?

Russell Haley

Hello,

The only versions of squish I can find are using module functionality which isn't in 5.3 (to the best of my knowledge)? Does anyone know if there is already a 5.3 compliant version floating around?

I converted it over to work in 5.3 without too much difficulty. If it is un-patched, I'll perhaps push to Mr. Wild.

Cheers,
Russ

Reply | Threaded
Open this post in threaded view
|

Re: Squish on 5.3?

Matthew Wild
Hi Russ,

On 11 June 2018 at 06:35, Russell Haley <[hidden email]> wrote:
>
> Hello,
>
> The only versions of squish I can find are using module functionality which
> isn't in 5.3 (to the best of my knowledge)? Does anyone know if there is
> already a 5.3 compliant version floating around?
>
> I converted it over to work in 5.3 without too much difficulty. If it is
> un-patched, I'll perhaps push to Mr. Wild.

I have some changes I made for 5.2 compatibility here:
http://code.matthewwild.co.uk/squish/shortlog/7d6070e5a096

The main reason it's not released yet is lack of testing, and I didn't
even begin with 5.3 yet. I'd be glad of testing and any contributions
you can make in that area!

Most of my projects, being related to Prosody, have been hanging back
on 5.1. Now that Prosody does 5.2 though, I'll gradually be moving
them over. The bump to 5.3 should be fairly straightforward in
comparison, though we need to assess the risk of issues related to
assumptions about integer/float arithmetic in the code.

Regards,
Matthew

Reply | Threaded
Open this post in threaded view
|

Re: Squish on 5.3?

Russell Haley


On Mon, Jun 11, 2018 at 1:10 AM, Matthew Wild <[hidden email]> wrote:
Hi Russ,

On 11 June 2018 at 06:35, Russell Haley <[hidden email]> wrote:
>
> Hello,
>
> The only versions of squish I can find are using module functionality which
> isn't in 5.3 (to the best of my knowledge)? Does anyone know if there is
> already a 5.3 compliant version floating around?
>
> I converted it over to work in 5.3 without too much difficulty. If it is
> un-patched, I'll perhaps push to Mr. Wild.

I have some changes I made for 5.2 compatibility here:
http://code.matthewwild.co.uk/squish/shortlog/7d6070e5a096

Ah, great. I didn't find those. Finally a chance to learn some Mercurial... 


The main reason it's not released yet is lack of testing, and I didn't
even begin with 5.3 yet. I'd be glad of testing and any contributions
you can make in that area!
I just ripped out the module stuff and replaced it with some requires. I'll contact you through you're site. 

Thanks!
Russ


Most of my projects, being related to Prosody, have been hanging back
on 5.1. Now that Prosody does 5.2 though, I'll gradually be moving
them over. The bump to 5.3 should be fairly straightforward in
comparison, though we need to assess the risk of issues related to
assumptions about integer/float arithmetic in the code.

Regards,
Matthew